import { CdkOverlayOrigin, ConnectedOverlayPositionChange } from '@angular/cdk/overlay';
import { ElementRef, EventEmitter } from '@angular/core';
import { NtOverlayComponent, NtOverlayPosition } from '@ng-tangram/components/core';
import { NtDropdownPaneComponent, NtDropdownParentComponent } from './dropdown-pane.component';
export declare type NtDropdownTriggerType = '' | 'hover' | 'click';
export declare class NtDropdownComponent implements NtDropdownParentComponent {
    readonly origin: CdkOverlayOrigin;
    position: NtOverlayPosition;
    trigger: NtDropdownTriggerType;
    afterOpen: EventEmitter<any>;
    afterClosed: EventEmitter<any>;
    beforeOpen: EventEmitter<any>;
    beforeClosed: EventEmitter<any>;
    positionChange: EventEmitter<ConnectedOverlayPositionChange>;
    overlay: NtOverlayComponent;
    pane: NtDropdownPaneComponent;
    constructor(_elementRef: ElementRef);
    _onClick(_: Event): void;
    _onMouseEnter(_: Event): void;
    _onMouseLeave(_: Event): void;
    _afterOpen(event: any): void;
    _afterClosed(event: any): void;
    _beforeOpen(event: any): void;
    _beforeClosed(event: any): void;
    _positionChange(change: ConnectedOverlayPositionChange): void;
}
